std::__detector< _Default, _AlwaysVoid, _Op, _Args >(3cxx)

NAME
std::__detector< _Default, _AlwaysVoid, _Op, _Args > - Implementation of the detection idiom (negative case).

SYNOPSIS

#include <type_traits>

  Public Types

using type = _Default
using value_t = false_type

Detailed Description

  template<typename _Default, typename _AlwaysVoid, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, _AlwaysVoid, _Op, _Args >"Implementation of the detection idiom (negative case).

Definition at line 2413 of file type_traits.

Member Typedef Documentation

  template<typename _Default , typename _AlwaysVoid , template< typename... > class _Op, typename... _Args> using std::__detector< _Default, _AlwaysVoid, _Op, _Args >::type = _Default

Definition at line 2416 of file type_traits.

  template<typename _Default , typename _AlwaysVoid , template< typename... > class _Op, typename... _Args> using std::__detector< _Default, _AlwaysVoid, _Op, _Args >::value_t = false_type

Definition at line 2415 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.